Rysunek Roboczy: Linia łamana

From FreeCAD Documentation
(Redirected from Draft UndoLine/pl)
Jump to navigation Jump to search
This page is a translated version of the page Draft Wire and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎

Draft Wire.svg Rysunek Roboczy: Linia łamana

Lokalizacja w menu
Kreślenie → Linia łamana
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
P L
Wprowadzono w wersji
-
Zobacz także
brak

Opis

Polecenie Draft Wire.svg Rysunek Roboczy: Linia łamana tworzy polilinię, czyli sekwencję kilku połączonych segmentów linii. Polecenie to może być również użyte do łączenia linii i polilinii.

Rogi prostokąta mogą być zaokrąglone lub sfazowane poprzez zmianę właściwości DANEPromień zaokrąglenia lub DANERozmiar fazki. Możliwe jest również dzielenie krawędzi polilinii poprzez zmianę jego właściwości DANEPodziały.

Draft Polyline example.jpg

Linia zdefiniowana przez wiele punktów

Utwórz

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
  2. Otworzy się panel zadań Polilinia. Zobacz opcje aby uzyskać więcej informacji.
  3. Wybierz pierwszy punkt w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg. Wprowadź punkt.
  4. Wybierz dodatkowe punkty w oknie widoku 3D, lub wpisz współrzędne i wciśnij przycisk Draft AddPoint.svg. Wprowadź punkt.
  5. Naciśnij przycisk Esc lub przycisk Zamknij, aby zakończyć działanie polecenia.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • Aby ręcznie wprowadzić współrzędne, wprowadź składowe X, Y i Z, i naciśnij klawisz Enter za każdym razem. Możesz też nacisnąć przycisk Draft AddPoint.svg Wprowadź punkt, gdy ustawisz żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych przesunąć kursor myszki poza okno widoku 3D.
  • Naciśnij klawisz R lub kliknij pole wyboru Względnie, aby przełączyć tryb względny. Jeśli tryb względny jest włączony, współrzędne są odnoszone do ostatniego punktu, jeśli jest dostępny, w przeciwnym razie są odnoszone do początku układu współrzędnych.
  • Naciśnij klawisz G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne odnoszone są do globalnego układu współrzędnych, w przeciwnym razie są odnoszone do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz L lub kliknij pole wyboru Wypełniony, aby przełączyć tryb wypełnienia. Jeśli tryb wypełniania jest włączony, utworzona polilinia będzie miała wartość DANEUtwórz powierzchnię ustawioną na true i będzie miała wypełnioną powierzchnię, pod warunkiem, że jest zamknięta i nie przecina się sama. Zauważ, że polilinia z powierzchnią nie będzie wyświetlana poprawnie, dla takiej konstrukcji wartość DANEUtwórz powierzchnię musi być ustawiona na false.
  • Naciśnij klawisz T lub kliknij w pole wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie uruchomi się ponownie po użyciu przycisku Draft FinishLine.svg Zakończ lub Draft CloseLine.svg Zamknij, lub po utworzeniu zamkniętej polilinii przez przyciągnięcie do pierwszego punktu polilinii, co pozwala na kontynuowanie tworzenia polilinii.
  • Naciśnij przycisk Draft UndoLine.svg Cofnij, aby cofnąć ostatni punkt. Skrót klawiaturowy Ctrl + Z obecnie nie działa zgodnie z oczekiwaniami.
  • Naciśnij przycisk A lub przycisk Draft FinishLine.svg Zakończ, aby zakończyć polecenie i pozostawić polilinię otwartą.
  • Naciśnij klawisz O lub przycisk Draft CloseLine.svg Zamknij, by zakończyć polecenie i zamknąć polilinię. Zamknięta polilinia może być także utworzona przez przyciągnięcie do pierwszego punktu polilinii.
  • Wciśnij klawisz W lub przycisk Draft Wipe.svg Wyczyść, aby usunąć już umieszczone segmenty, ale kontynuować pracę od ostatniego punktu.
  • Wciśnij klawisz U lub przycisk Draft SelectPlane.svg Ustaw płaszczyznę roboczą aby ustawić aktualną płaszczyznę roboczą w orientacji ostatniego odcinka.
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby zakończyć polecenie.

Przyłącz

Użycie

  1. Punkty końcowe linii i/lub polilinii, które mają być połączone muszą się dokładnie pokrywać. Jeśli jest to wymagane, najpierw dopasuj punkty, aby to zapewnić.
  2. Wybierz dwie lub więcej linii i/lub polilinii.
  3. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Wire.svg Utwórz wielopunktową linię.
    • Wybierz opcję w menu Kreślenie → Draft Wire.svg Polilinia.
    • Użyj skrótu klawiaturowego: P, a następnie L.

Uwagi

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić liczbę miejsc po przecinku używanych do wprowadzania wartości współrzędnych długości i kątów: Edycja → Preferencje → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.
  • Aby zmienić wartość początkową trybu wypełnienia: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Wypełniaj obiekty powierzchniami, gdy tylko jest to możliwe. Zmiana trybu wypełnienia w panelu zadań spowoduje nadpisanie tych preferencji dla bieżącej sesji programu FreeCAD.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt polilinia wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEObszar: (tylko do odczytu) Określa powierzchnię polilinii. Wartość będzie wynosić 0.0 jeśli DANEUtwórz powierzchnię przyjmuje wartość false lub powierzchnia nie może zostać utworzona.
  • DANEPodstawowa
  • DANEWielkość fazki: określa długość fazek na rogach polilinii.
  • DANEZamknięta: określa czy polilinia jest zamknięta czy nie. Jeśli polilinia jest początkowo otwarta, wartość ta wynosi false, ustawienie jej na true spowoduje narysowanie segmentu linii zamykającego polilinię. Jeśli polilinia jest początkowo zamknięta, wartość ta wynosi true, a ustawienie jej na false spowoduje usunięcie ostatniego segmentu i otwarcie polilinii.
  • DANEKoniec: określa punkt końcowy polilinii.
  • DANEPromień zaokrąglenia: określa promień zaokrągleń na rogach polilinii.
  • DANEDługość: (tylko do odczytu) określa całkowitą długość przewodu.
  • DANEUtwórz powierzchnię: określa czy polilinia tworzy ścianę, czy też nie. Jeśli posiada wartość true, to tworzona jest powierzchnia, w przeciwnym razie tylko krawędzie są uważane za część obiektu. Właściwość ta działa tylko wtedy, gdy DANEClosed ma wartość true i gdy polilinia nie przecina się samoistnie.
  • DANEPunkty: określa punkty polilinii w jej lokalnym układzie współrzędnych.
  • DANEStart: określa punkt początkowy polilinii.
  • DANEPododdziały: określa liczbę podziałów dla każdej krawędzi polilinii. Jeśli jest to wartość 1 każda krawędź zostanie podzielona na równe segmenty o wartości 2. Podziały są stosowane przed fazowaniem i zaokrąglaniem.
  • DANENarzędzia

Widok

Rysunek Roboczy

  • WIDOKRozmiar strzałki (Length): określa wielkość symbolu wyświetlanego na końcu polilinii.
  • WIDOKTyp strzałki (Enumeration): określa typ symbolu wyświetlanego na końcu przewodu, którym może być Dot, Circle, Arrow, Tick lub Tick-2.
  • WIDOKZakończenie strzałki. (Bool): określa, czy pokazywać symbol na końcu przewodu, aby można go było użyć jak linii adnotacji.
  • WIDOKWzór (Enumeration): określa rodzaj wypełnienia, którym ma być pokryta powierzchnia zamkniętej linii. Ta właściwość działa tylko wtedy, gdy właściwość DANEUtwórz powierzchnię ma wartość true i gdy WIDOKDisplay Mode ma wartość Flat Lines.
  • WIDOKRozmiar wzoru (Float): określa rozmiar wypełnienia.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Aby utworzyć polilinię użyj metody make_wire modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeWire.

wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
wire = make_wire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Tworzy obiekt Wire z podaną listą punktów, pointslist.
    • Każdy punkt na liście jest zdefiniowany przez jego FreeCAD.Vector, z jednostkami w milimetrach.
    • Alternatywnie, dane wejściowe mogą być typu Part.Wire, z których wyodrębniane są punkty.
  • Jeśli closed ma wartość True, lub jeśli pierwszy i ostatni punkt mają identyczne wartości, polilinia jest zamknięta.
  • Jeśli placement ma wartość None, kształt jest tworzony w punkcie początkowym.
  • Jeśli parametr face ma wartość True, a polilinia jest zamknięta, to polilinia będzie ścianą, czyli będzie wyglądała na wypełnioną.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

wire1 = Draft.make_wire([p1, p2, p3], closed=True)
wire2 = Draft.make_wire([p1, 2*p3, 1.3*p2], closed=True)
wire3 = Draft.make_wire([1.3*p3, p1, -1.7*p2], closed=True)

doc.recompute()